//////////////////////////////////////////////////////////////////////////////////////////////////
// Filename:	SAPI Sample 2.cpp																//
// Author:		Desmond (Dez) Lang																//
// Last Edited:	May 4, 2002																		//
//																								//
// Comments:																					//
//		This project is the main attraction.  It demonstrates how easy SAPI can be used, when	//
//	encapsulated in a class.  This project also demonstrates the use of a few XML tags, and		//
//	tricks that I thought were neat.  Feel free to experiment with this code.					//
//////////////////////////////////////////////////////////////////////////////////////////////////

#include "Speech Engine.h"

int main ( int NumOfArguments, char** Argument )
{
	//////////////////////////////////////////////////////////////////////
	// Text Rendering													//
	//																	//
	//	The following code demonstrates the use of XML tags with the	//
	// speech object.  Feel free to change the code to include number 	//
	// values in the speech, and see the overloaded operators in action.//
	//////////////////////////////////////////////////////////////////////

	// Output the following text (nothing fancy)
	Speech << "This is a test of the default voice\n";


	// Uses XML tags to emphasize 'Successful'
	Speech << "This is a test of the <EMPH> Emphasis </EMPH> tags\n";


	// Inserts a 250 millisecond delay between the two speech blocks
	Speech << "There will be a 250 millisecond delay now.<SILENCE MSEC='250'/>  The delay has ended\n";


	// Demonstrates a change in pitch
	Speech << "The pitch will <pitch middle='-10'/> drop right now\n";
	Speech << "The pitch will <pitch middle='+10'/> jump right now\n";

	// NOTE: This tag only effects the current string.  The next use
	//	of the speech engine will use the normal voice pitch.



	//////////////////////////////////////////////////////////////////////
	// Special functions												//
	//																	//
	//	This section demonstrates the special functions of the speech	//
	// object.  Presently, the only function which has been defined is	//
	// the "SpeakLastError()" function, which calls the					//
	// "GetLastError()" function, and formats it and speaks it.			//
	//////////////////////////////////////////////////////////////////////

	// Demonstrates the use of the SpeakLastError() method
	Speech.SpeakLastError ();

	
	// TIP:  If programming in DirectX, you may want to consider implementing
	//		a method similar to "SpeakLastError()", but which handles DirectX and
	//		Win32 error messages.  You should look at functions like 
	//		"DXGetErrorString8 ()".  Just a thought :)
	
	return 0;
}
